Subject: Re: [spring] WG Adoption call for https://datatracker.ietf.org/doc/draft-filsfilscheng-spring-srv6-srh-compression/

From: "Zafar Ali (zali)" <[email-masked]>
Date: Mon, 4 Oct 2021 15:50:01 +0000

Dear WG and the chairs,

I strongly support the adoption call

About the matter in the email, the WG has defined a single data plane solution, i.e., SRv6 (RFC8402, RFC8754, and RFC8986).
SRv6 as per the inherent nature of the network programming model (RFC8996) already defines multiple standardized behaviors.
Clearly, CSID is a single solution based on the SRv6 data plane.

Thanks

Regards … Zafar

From: spring <[email-masked]> on behalf of James Guichard <[email-masked]>
Date: Friday, October 1, 2021 at 10:05 AM
To: SPRING WG <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: [spring] WG Adoption call for https://datatracker.ietf.org/doc/draft-filsfilscheng-spring-srv6-srh-compression/

Dear WG:

The chairs would like to express their appreciation for all the responses received to our emails with reference to how the working group wishes to move forward with respect to a solution for SRv6 compression.

The apparent inclination of the working group is to use https://datatracker.ietf.org/doc/draft-filsfilscheng-spring-srv6-srh-compression/ as the basis for its compression standardization work. That is part of what this email attempts to confirm.

Because of the above the chairs would like to issue a 2-week WG call for adoption ending October 15th for https://datatracker.ietf.org/doc/draft-filsfilscheng-spring-srv6-srh-compression/ but with some clear guidelines as follows. By expressing support for adoption of this document you are fully aware of and are acknowledging that:

1.       The SPRING working group is adopting a document that has multiple SRv6 Endpoint behaviors.

2.       The document is a “living” document; it may change as it goes through review and analysis by the SPRING working group.

3.       All open discussion points raised on our mailing list MUST be addressed BEFORE said document is allowed to progress from the working group to publication. A list of these discussion points will be documented in the WG document and maintained by the document editor in conjunction with the chairs.

4.       If this document is adopted by the working group, the chairs specify as part of the adoption call that the following text describing an open issue be added to the document in the above-described open issues section:

·         "Given that the working group has said that it wants to standardize one data plane solution, and given that the document contains multiple SRv6 EndPoint behaviors that some WG members have stated are multiple data plane solutions, the working group will address whether this is valid and coherent with its one data plane solution objective.".

Please consider the above guidelines as you decide on whether to support or not this WG adoption. Please express clearly your reasoning for support/non-support as well as any open discussion points you would like addressed should the document be adopted into the working group.

Thanks!

Jim, Bruno & Joel

---

From: Keyur Patel <[email-masked]>
Date: Mon, 11 Oct 2021 05:47:43 +0000

Dear WG and the WG Chairs,

Network programming model (RFC8986) defines multiple flavors for End, End.X, and End.T SIDs. CSID draft builds on it with next and replace flavors for these SIDs, optimized for 16 bit and 32 bit SID sizes, respectively. This is just like PSP, USP and USD flavors defined in RFC8986 to cover different deployment scenarios.

We at Arrcus have implemented CSID solution and also have participated in multivendor interop for the solution.

I strongly support the adoption.

Best Regards,
Keyur

From: spring <[email-masked]> on behalf of "Zafar Ali (zali)" <zali=[email-masked]>
Date: Monday, October 4, 2021 at 8:50 AM
To: James Guichard <[email-masked]>, SPRING WG <[email-masked]>
Cc: "Zafar Ali (zali)" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [spring] WG Adoption call for https://datatracker.ietf.org/doc/draft-filsfilscheng-spring-srv6-srh-compression/

Dear WG and the chairs,

Thanks

Regards … Zafar

Dear WG:

Thanks!

Jim, Bruno & Joel

---

From: Linda Dunbar <[email-masked]>
Date: Mon, 11 Oct 2021 20:55:01 +0000

With multiple vendors having implemented the solution, I strongly support the adoption of draft-filsfilscheng-spring-srv6-srh-compression.

Linda Dunbar

From: spring <[email-masked]> On Behalf Of Keyur Patel
Sent: Monday, October 11, 2021 12:48 AM
To: Zafar Ali (zali) <zali=[email-masked]>; James Guichard <[email-masked]>; SPRING WG <[email-masked]>
Cc: [email-masked]; Zafar Ali (zali) <[email-masked]>
Subject: Re: [spring] WG Adoption call for https://datatracker.ietf.org/doc/draft-filsfilscheng-spring-srv6-srh-compression/

Best Regards,
Keyur

From: spring <[email-masked]<mailto:[email-masked]>> on behalf of "Zafar Ali (zali)" <zali=[email-masked]<mailto:zali=[email-masked]>>
Date: Monday, October 4, 2021 at 8:50 AM
To: James Guichard <[email-masked]<mailto:[email-masked]>>, SPRING WG <[email-masked]<mailto:[email-masked]>>
Cc: "Zafar Ali (zali)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [spring] WG Adoption call for https://datatracker.ietf.org/doc/draft-filsfilscheng-spring-srv6-srh-compression/

Dear WG and the chairs,

Thanks

Regards ... Zafar

From: spring <[email-masked]<mailto:[email-masked]>> on behalf of James Guichard <[email-masked]<mailto:[email-masked]>>
Date: Friday, October 1, 2021 at 10:05 AM
To: SPRING WG <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [spring] WG Adoption call for https://datatracker.ietf.org/doc/draft-filsfilscheng-spring-srv6-srh-compression/

Dear WG:

The apparent inclination of the working group is to use https://datatracker.ietf.org/doc/draft-filsfilscheng-spring-srv6-srh-compression/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-filsfilscheng-spring-srv6-srh-compression%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C8de269e773ca4459499408d98c7ab2cf%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637695280917116632%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=0GGK8CBENHCpOS2TdHfbxp9ph9k8R9dXMDmJTQWyBUI%3D&reserved=0> as the basis for its compression standardization work. That is part of what this email attempts to confirm.

Because of the above the chairs would like to issue a 2-week WG call for adoption ending October 15th for https://datatracker.ietf.org/doc/draft-filsfilscheng-spring-srv6-srh-compression/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-filsfilscheng-spring-srv6-srh-compression%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C8de269e773ca4459499408d98c7ab2cf%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637695280917116632%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=0GGK8CBENHCpOS2TdHfbxp9ph9k8R9dXMDmJTQWyBUI%3D&reserved=0> but with some clear guidelines as follows. By expressing support for adoption of this document you are fully aware of and are acknowledging that:

2.       The document is a "living" document; it may change as it goes through review and analysis by the SPRING working group.

*         "Given that the working group has said that it wants to standardize one data plane solution, and given that the document contains multiple SRv6 EndPoint behaviors that some WG members have stated are multiple data plane solutions, the working group will address whether this is valid and coherent with its one data plane solution objective.".

Thanks!

Jim, Bruno & Joel

---

From: Gaurav Dawra <[email-masked]>
Date: Mon, 11 Oct 2021 19:02:32 -0700

Dear WG and Chairs,

With multiple vendor implementations and interops. The draft is for SRv6 compression based on the single SRv6 data plane

I strongly support its adoption

Gaurav
Linkedin

> On Oct 10, 2021, at 10:48 PM, Keyur Patel <[email-masked]> wrote:
> 
> _______________________________________________
> spring mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spring